## rkdeveloptool 1.32+git20210408.46bb4c0

=== debian/changelog ===
rkdeveloptool (1.32+git20210408.46bb4c0-3) unstable; urgency=medium

  [ Dylan Aïssi ]
  * rkdeveloptool: depend on adduser since the postinst script calls addgroup
    (Closes: #1035436)

  [ Diederik de Haas ]
  * d/control: Switch Homepage to https
  * d/patches: Move Origin field to header
  * rkdeveloptool.postinst: Switch from 'which' to 'command -v'

  [ Christopher Obbard ]
  * d/control: Update standards version to 4.6.2

 -- Christopher Obbard <chris.obbard@collabora.com>  Sat, 20 May 2023 11:03:28 +0100

rkdeveloptool (1.32+git20210408.46bb4c0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Christopher Obbard <chris.obbard@collabora.com>  Mon, 31 Oct 2022 12:04:40 +0000

rkdeveloptool (1.32+git20210408.46bb4c0-1) unstable; urgency=medium

  * Initial release (Closes: #966178)

 -- Christopher Obbard <chris.obbard@collabora.com>  Fri, 01 Apr 2022 11:29:36 +0100
