=== debian/control ===
Source: rkdeveloptool
Section: utils
Priority: optional
Maintainer: Christopher Obbard <chris.obbard@collabora.com>
Build-Depends: debhelper-compat (= 13),
               libudev-dev,
               libusb-1.0-0-dev,
               pkg-config,
Standards-Version: 4.6.2
Homepage: https://opensource.rock-chips.com/wiki_Rkdeveloptool
Vcs-Browser: https://salsa.debian.org/debian/rkdeveloptool
Vcs-Git: https://salsa.debian.org/debian/rkdeveloptool.git
Rules-Requires-Root: no

Package: rkdeveloptool
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Description: tools for working with Rockchip processors
 This package provides tools to communicate with various Rockchip processors
 which support the RockUSB protocol (e.g rk3288, rk3328, rk3399, rk356x). The
 tool includes support to interact with the processors' low-level bootrom
 (known as MaskROM)  as well as interact with the recovery or firmware-download
 protocol rockusb. This makes it possible to upload firmware to flash, download
 firmware from flash, erase flash, reset the device, read manufacturing
 information from the processor as well as various other commands.
