=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=1.32+git%cd.%h, repack, compression=xz" \
  https://github.com/rockchip-linux/rkdeveloptool.git HEAD
