## rkdeveloptool 1.32+pine64git20210920.cce7d2a

=== debian/changelog ===
rkdeveloptool (1.32+pine64git20210920.cce7d2a-1) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * update watch file: track pine64 source (Closes: #1040032)
  * tidy: wrap and sort control file, with shortening options -ast
  * drop patch, obsoleted by upstream changes
  * build using meson (not autotools); build-depend on cmake meson scdoc

  [ Christopher Obbard ]
  * d/watch: Add pine64 prefix to upstream version
  * New upstream version 1.32+pine64git20210920.cce7d2a
  * d/control: Switch from pkg-config to pkgconf
  * d/control: Remove B-d on libudev
  * d/copyright: Bump dates
  * d/rkdeveloptool.udev: Add rules for RK3566
  * d/rkdeveloptool.udev: Add rules for RK3588
  * Add patch to prefer udev rules from Debian packaging
  * Add patch to fix manpage spelling of seperate=>separate

 -- Christopher Obbard <chris.obbard@collabora.com>  Thu, 06 Jul 2023 17:10:42 +0100
