=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Christopher Obbard <chris.obbard@collabora.com>
-Build-Depends: debhelper-compat (= 13),
-               libudev-dev,
-               libusb-1.0-0-dev,
-               pkg-config,
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libusb-1.0-0-dev,
+ meson,
+ pkgconf,
+ scdoc,
 Standards-Version: 4.6.2
 Homepage: https://opensource.rock-chips.com/wiki_Rkdeveloptool
 Vcs-Browser: https://salsa.debian.org/debian/rkdeveloptool
@@ -14,9 +17,10 @@
 
 Package: rkdeveloptool
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         adduser
+Depends:
+ adduser,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: tools for working with Rockchip processors
  This package provides tools to communicate with various Rockchip processors
  which support the RockUSB protocol (e.g rk3288, rk3328, rk3399, rk356x). The
