## rkdeveloptool 1.32+pine64git20240226.17823e9

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 # The version number.
 set (rkdeveloptool_PACKAGE_VERSION "1.3")
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 file (GLOB LOCAL_CPP_FILES *.cpp)
 set (SOURCE_FILES ${SOURCE_FILES} ${LOCAL_CPP_FILES})
