=== debian/changelog ===
rkdeveloptool (1.32+pine64git20240226.17823e9-1) unstable; urgency=medium

  * New upstream version 1.32+pine64git20240226.17823e9
  * d/patches: Remove patches applied upstream

 -- Christopher Obbard <obbardc@debian.org>  Thu, 20 Jun 2024 00:06:02 +0100

rkdeveloptool (1.32+pine64git20210920.cce7d2a-2) unstable; urgency=medium

  * debian/control: Update my email address
  * debian/copyright: Update my email address
  * debian/patches: Update my email address
  * debian/patches: Apply patches for dealing with images >4GiB

 -- Christopher Obbard <obbardc@debian.org>  Thu, 02 Nov 2023 21:19:03 +0000
