=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rkdeveloptool
 Section: utils
 Priority: optional
-Maintainer: Christopher Obbard <chris.obbard@collabora.com>
+Maintainer: Christopher Obbard <obbardc@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
