=== debian/watch ===
version=4

opts="mode=git, pgpmode=none, pretty=1.32+pine64git%cd.%h, repack, compression=xz" \
  https://gitlab.com/pine64-org/quartz-bsp/rkdeveloptool HEAD
